package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 审批回调获取审批人类型
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/4
 */
public enum ApproveGetApproverEnum implements ICodeEnum {
    /**
     * 当前机构
     */
    CURRENT_ORG("currentOrg", "当前机构"),
    /**
     * 上一级机构
     */
    NEXT_ORG("nextOrg", "上一级机构"),
    /**
     * 上一级一直再上级
     */
    NEXT_AND_NEXT_ORG("nextAndNextOrg", "上一级一直再上级"),
    /**
     * 配置的
     */
    CONFIG("config", "配置的");

    private final String value;

    private final String label;

    ApproveGetApproverEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }

}
