package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 提交类型
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/12
 */
public enum CommitTypeEnum implements ICodeEnum {

    /**
     * 保存
     */
    APPLY("1", "保存"),

    /**
     * 保存并提交
     */
    APPLY_COMMIT("2", "保存并提交");

    private String value;

    private String label;

    CommitTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
