package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 页面类型
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/14
 */
public enum PageTypeEnum implements ICodeEnum {

    /**
     * 请求页
     */
    REQUEST("request", "请求"),

    /**
     * 待办
     */
    TODO("todo", "待办"),

    /**
     * 已办
     */
    DONE("done", "已办");

    private String value;

    private String label;

    PageTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
