package com.dragonsoft.dcuc.approve.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 应用功能资源
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/21
 */
@Data
@ApiModel(description = "应用功能资源")
public class AppFunctionResourceNameReqVO {

    /**
     * 应用名称
     */
    @ApiModelProperty(value = "应用名称")
    private String appName;

    /**
     * 功能名称
     */
    @ApiModelProperty(value = "功能名称")
    private List<String> functionName;
}
