package com.dragonsoft.dcuc.approve.model.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author :wangrs
 * @date :2021/2/4
 */
@ApiModel(description = "审批意见数据")
public class ApproveCommentVo implements Serializable {
    @ApiModelProperty(value = "节点名称")
    private String nodeName;

    @ApiModelProperty(value = "审批意见")
    private String approveMessage;

    @ApiModelProperty(value = "审批时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm",timezone="GMT+8")
    private Date approveTime;

    @ApiModelProperty(value = "审批人")
    private String assignee;
    @ApiModelProperty("审批人身份证号")
    private String assigneeIdcard;

    @ApiModelProperty(value = "审批动作")
    private String approveState;
    @ApiModelProperty(value = "节点定义ID")
    private String id;

    @ApiModelProperty(value = "排序字段")
    private int sort;

    public String getAssigneeIdcard() {
        return assigneeIdcard;
    }

    public void setAssigneeIdcard(String assigneeIdcard) {
        this.assigneeIdcard = assigneeIdcard;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getApproveState() {
        return approveState;
    }

    public void setApproveState(String approveState) {
        this.approveState = approveState;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public Date getApproveTime() {
        return approveTime;
    }

    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    public String getAssignee() {
        return assignee;
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getApproveMessage() {
        return approveMessage;
    }

    public void setApproveMessage(String approveMessage) {
        this.approveMessage = approveMessage;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }
}
