package com.dragonsoft.dcuc.approve.model.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class ProcessStatusDetailVo implements Serializable {
    private static final long serialVersionUID = 396897261305645158L;

    @ApiModelProperty(value = "操作人")
    private String assignee;

    @ApiModelProperty(value = "操作人姓名")
    private String assigneeName;

    @ApiModelProperty(value = "操作状态")
    private String operateState;

    @ApiModelProperty(value = "接收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date receiveTime;

    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date handleTime;

    @ApiModelProperty(value = "处理耗时")
    private String costTime;
}
