package com.dragonsoft.dcuc.approve.business;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/6/8
 */
public interface IApproveBaseBusiness {


    /**
     * 转换结束时间
     *
     * @param endTime 结束时间
     * @return 结束时间
     */
    Date parseEndTime(Date endTime);


    /**
     * 构建审批单号
     *
     * @param appCode 应用代码
     * @param orgCode 机构代码
     * @return 审批单号
     */
    String buildApproveNo(String appCode, String orgCode);
}
