package com.dragonsoft.dcuc.approve.business;

import com.dragonsoft.dcuc.approve.model.req.ApproveRecordReportReqVO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;

import java.util.List;

/**
 * @author wangzw
 * @date 2021/5/26
 * @desc
 */
public interface IApproveUploadBusiness {

    /**
     * 报送信息
     *
     * @param approveRecordList 审批信息
     * @return 状态
     */
    ResponseStatus approveUpload(List<ApproveRecordReportReqVO> approveRecordList);


    /**
     * 检查参数
     *
     * @param approveRecordList 审批列表
     * @return 错误信息
     */
    String checkParam(List<ApproveRecordReportReqVO> approveRecordList);
}
