package com.dragonsoft.dcuc.approve.business.api;

import com.dragonsoft.dcuc.approve.model.req.v3.report.ReportApproveSyncReqVO;
import com.dragonsoft.dcuc.approve.model.resp.v3.ZeroTrustMessageRespVO;

/**
 * @author huangzqa
 * @date 2023/12/12
 */
public interface IReportApprovalsBusiness {
    /**
     * 接收审批上报信息
     *
     * @param reportApproveSyncReqVO 上报请求
     * @return 状态
     */
    ZeroTrustMessageRespVO reportApprovals(ReportApproveSyncReqVO reportApproveSyncReqVO);

}
