package com.dragonsoft.dcuc.approve.business.approver.impl;

import com.dragonsoft.dcuc.approve.business.approver.IGetApproverBusiness;
import com.dragonsoft.dcuc.approve.business.external.IDcucBusiness;
import com.dragonsoft.dcuc.approve.model.vo.dcuc.OauthUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/4
 */
@Component(value = "currentOrgGetApproverBusiness")
public class CurrentOrgGetApproverBusinessImpl implements IGetApproverBusiness {
    private IDcucBusiness dcucBusiness;

    @Autowired
    public void setDcucBusiness(IDcucBusiness dcucBusiness) {
        this.dcucBusiness = dcucBusiness;
    }

    @Override
    public List<String> getApproverList(String applicantUser, String labelCode) {
        // 获取申请人对应的机构代码
        OauthUserVO handleUserInfo = dcucBusiness.getOauthUserInfoByIdcard(applicantUser);
        String currentOrgCode = handleUserInfo.getOrgCode();

        // 获取机构代码上有这个标签的人

        return dcucBusiness.getUserByLabelCodeUserList(currentOrgCode, labelCode);
    }
}
