package com.dragonsoft.dcuc.approve.event.event;

import com.dragonsoft.dcuc.approve.model.dto.ApproveMessageInfoDTO;
import org.springframework.context.ApplicationEvent;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/11
 */
public class ApproveFinalResultEvent extends ApplicationEvent {

    private final ApproveMessageInfoDTO approveMessageInfoDTO;

    public ApproveFinalResultEvent(ApproveMessageInfoDTO approveMessageInfoDTO) {
        super(approveMessageInfoDTO);
        this.approveMessageInfoDTO = approveMessageInfoDTO;
    }

    public ApproveMessageInfoDTO getApproveMessageInfoDTO() {
        return approveMessageInfoDTO;
    }
}
