package com.dragonsoft.dcuc.approve.event.event;

import com.dragonsoft.dcuc.approve.model.dto.ApproveLogDTO;
import org.springframework.context.ApplicationEvent;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
public class ApproveLogEvent extends ApplicationEvent {

    private ApproveLogDTO approveLogDTO;

    /**
     * Create a new {@code ApplicationEvent}.
     *
     * @param source the object on which the event initially occurred or with
     *               which the event is associated (never {@code null})
     */
    public ApproveLogEvent(ApproveLogDTO source) {
        super(source);
        this.approveLogDTO = source;
    }

    public ApproveLogDTO getApproveLogDTO() {
        return approveLogDTO;
    }
}
