package com.dragonsoft.dcuc.approve.event.listener;

import com.dragonsoft.dcuc.approve.business.IApproveLogBusiness;
import com.dragonsoft.dcuc.approve.model.dto.ApproveLogDTO;
import com.dragonsoft.dcuc.approve.event.event.ApproveLogEvent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
@Component
public class ApproveLogListener implements ApplicationListener<ApproveLogEvent> {

    private IApproveLogBusiness approveLogBusiness;

    @Autowired
    public void setApproveLogBusiness(IApproveLogBusiness approveLogBusiness) {
        this.approveLogBusiness = approveLogBusiness;
    }

    @Override
    public void onApplicationEvent(ApproveLogEvent event) {
        ApproveLogDTO approveLogDTO = event.getApproveLogDTO();

        approveLogBusiness.saveLog(approveLogDTO);
    }
}
