package com.dragonsoft.dcuc.approve.facade.log;

import com.dragonsoft.dcuc.approve.model.resp.FlowManageLogVo;
import com.dragonsoft.dcuc.approve.service.IFlowManageLogService;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RestController;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 15:07
 */
@RestController
public class FlowManageLogFacade implements IFlowManageLogFacade {

    @Autowired
    private IFlowManageLogService flowManageLogService;

    /**
     * 审批流程管理日志列表
     * @param searchable
     * @return
     */
    @Override
    public Page<FlowManageLogVo> queryFlowManageLogList(Searchable searchable) {
        return flowManageLogService.queryFlowManageLogList(searchable);
    }

    /**
     * 审批流程管理日志详情
     *
     * @param id
     * @return
     */
    @Override
    public ResponseDTO<FlowManageLogVo> flowManageLogDetail(String id) {
        return flowManageLogService.flowManageLogDetail(id);
    }
}
