package com.dragonsoft.dcuc.approve.facade.log;

import com.dragonsoft.dcuc.approve.model.resp.RequestLogVo;
import com.dragonsoft.dcuc.approve.service.IRequestLogService;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RestController;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 15:07
 */
@RestController
public class RequestLogFacade implements IRequestLogFacade{

    @Autowired
    private IRequestLogService requestLogService;

    /**
     * 审批请求日志列表
     * @param searchable
     * @return
     */
    @Override
    public Page<RequestLogVo> queryRequestLogList(Searchable searchable) {
        return requestLogService.queryRequestLogList(searchable);
    }

    /**
     * 审批请求日志详情
     *
     * @param id
     * @return
     */
    @Override
    public ResponseDTO<RequestLogVo> requestLogDetail(String id) {
        return requestLogService.requestLogDetail(id);
    }
}