package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;


/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 * 任务关联人员表
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/6/8 19:43
 */
@Data
@TableName(value = "T_APPROVE_ACT_RUN_IDENTITY_LINK")
public class ApproveActRunIdentityLink implements Serializable {
    private static final long serialVersionUID = 5454656566618885343L;

    @TableField(value = "ID")
    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 申请单ID
     */
    private String applyRecordId;
    /**
     * 流程实例ID
     */
    private String processInstanceId;

    /**
     * 任务id
     */
    private String taskId;

    /**
     * 群组ID
     */
    private String groupId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 群组名称
     */
    private String deptId;

    /**
     * 群组名称列表
     */
    private String groupNameList;

    /**
     * 用户名称列表
     */
    private String userNameList;

    /**
     * 用户部门列表
     */
    private String deptNameList;
}
