package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedDate;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
@Data
@TableName("T_APPROVE_USER_INFO")
public class ApproveUserInfo {
    /**
     * id
     */
    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 身份证号
     */
    private String idcard;
    /**
     * 姓名
     */
    private String userName;
    /**
     * 警衔
     */
    private String policeRank;
    /**
     * 警号
     */
    private String policeNumber;
    /**
     * 警种
     */
    private String policeCategory;
    /**
     * 民族
     */
    private String nation;
    /**
     * 手机号
     */
    private String mobileWork;
    /**
     * 机构代码
     */
    private String orgCode;
    /**
     * 职务信息
     */
    private String postType;
    /**
     * 在职类型
     */
    private String jobType;
    /**
     * 远程更新时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date remoteUpdateTime;
    /**
     * 是否删除
     */
    @TableLogic
    private String deleted;
    /**
     * 创建时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;

}
