package com.dragonsoft.dcuc.approve.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 权限风险
 * </p>
 *
 * @author huangzqa
 * @date 2023/6/20
 */
@Builder
@Data
public class RzyRiskLogDTO {
    /**
     * 风险类型
     **/
    private String riskType;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 鉴权者IP
     */
    private String authIp;

    /**
     * 风险发送时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date riskAt;

    /**
     * 风险详情
     */
    private String detail;

}
