package com.dragonsoft.dcuc.approve.model.dto.zerotrust;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 应用令牌校验服务接口
 * </p>
 *
 * @author huangzqa
 * @date 2022/8/1
 */
@Data
public class AppTokenInfoDTO {

    /**
     * 应用令牌ID
     */
    private String appTokenId;

    /**
     * 用户令牌创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 用户令牌到期时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date expireAt;

    /**
     * 应用标识
     */
    private String appId;

    /**
     * 用户令牌详细信息
     */
    private UserTokenInfoDTO userToken;

    /**
     * 应用令牌签名值
     */
    private String sign;
}
