package com.dragonsoft.dcuc.approve.model.resource;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;

import java.util.Date;

/**
 * <p>
 * 案件信息
 * 现场通过ETL同步到此
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/1
 */
@Data
@TableName("t_aj_info")
public class AjInfo {
    /**¡¡
     * 标识ID
     */
    @TableId(type = IdType.UUID)
    private String fhxtsjwybsid;
    /**
     * 来源系统
     */
    private String sjcjlyxt;
    /**
     * 案件名称
     */
    private String ajmc;
    /**
     * 案件编号
     */
    private String ajbh;
    /**
     * 受理单位_信息代码
     */
    private String sldwXxdm02;
    /**
     * 是否删除
     */
    @TableLogic
    private String xxscPdbz;
    /**
     * 采集时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date cjsj;
    /**
     * 更新时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date gxsj;
    /**
     * 同步表创建时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;
    /**
     * 同步表更新时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;
}
