package com.dragonsoft.dcuc.approve.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * TaskRequest 对象
 *
 * @author huangzqa
 */
@Data
public class ApproveTaskRequestVo implements Serializable {
    private static final long serialVersionUID = 5454155656318885342L;

    /**
     * 申请机构代码
     */
    private String applicantOrgCode;

    /**
     * 申请机构名称
     */
    private String applicantOrgName;

    /**
     * 申请单标题
     */
    private String applyTitle;

    /**
     * 申请单申请内容
     */
    private String applyContent;

    /**
     * 业务系统代码
     */
    private String businessSystem;

    /**
     * 业务主键(申请表的id)
     */
    private String businessKey;

    /**
     * 业务类型Key
     */
    private String businessType;

    /**
     * 申请人id
     */
    private String applyUser;

    /**
     * 申请人姓名
     */
    private String applyUserName;

    /**
     * 当前节点处理人id
     */
    private String handleUser;

    /**
     * 当前节点处理人姓名
     */
    private String handleUserName;

    /**
     * 是否为科信人员
     */
    private Boolean kxPeople;

    /**
     * 业务id
     */
    private String businessId;

    /**
     * 申请类型
     */
    private String flowType;

    /**
     * 是否需要红名单审批
     */
    private Boolean redList;

}
