package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.ApproveSecurityWarningInfo;
import com.dragonsoft.dcuc.approve.model.req.v3.rzy.RzyRiskInfoDetailReqVO;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
public interface IApproveSecurityWarningInfoService {

    /**
     * 保存预警信息
     *
     * @param rzyRiskInfoDetailReqVO 预警信息
     */
    void save(RzyRiskInfoDetailReqVO rzyRiskInfoDetailReqVO);

    /**
     * 根据ID查找预警信息
     *
     * @param user user
     * @return 预警信息
     */
    List<ApproveSecurityWarningInfo> selectByUser(String user);

}
