package com.dragonsoft.dcuc.approve.service.resource.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dragonsoft.dcuc.approve.mapper.resource.JqInfoMapper;
import com.dragonsoft.dcuc.approve.model.resource.JqInfo;
import com.dragonsoft.dcuc.approve.service.resource.IJqInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/1
 */
@Service
public class JqInfoServiceImpl implements IJqInfoService {

    private JqInfoMapper jqInfoMapper;

    @Autowired
    public void setJqInfoMapper(JqInfoMapper jqInfoMapper) {
        this.jqInfoMapper = jqInfoMapper;
    }

    @Override
    public boolean exitsJqbh(String jqbh) {
        LambdaQueryWrapper<JqInfo> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(JqInfo::getJijdXxbh, jqbh);

        Integer count = jqInfoMapper.selectCount(queryWrapper);
        if (ObjectUtil.isNull(count)) {
            return false;
        }
        return count > 0;
    }
}
