ALTER TABLE t_approve_record_info
    ADD callback_url varchar(255) NULL COMMENT '回调地址' AFTER `ALREADY_RED_LIST_APPROVE`;;

ALTER TABLE t_approve_record_info
    ADD approve_task_class varchar(32) NULL COMMENT '审批单任务类型' AFTER `callback_url`;;

DROP TABLE IF EXISTS t_approve_task_class;
CREATE TABLE t_approve_task_class
(
    ID                VARCHAR(32) NOT NULL COMMENT 'ID',
    task_class_code   VARCHAR(90) NOT NULL COMMENT '任务类型代码',
    task_class_name   VARCHAR(90) NOT NULL COMMENT '任务类型名称',
    parent_id         VARCHAR(32) COMMENT '父任务类型ID',
    parent_class_code VARCHAR(90) COMMENT '父任务类型代码',
    parent_class_name VARCHAR(90) COMMENT '父任务类型名称',
    source_app_code   VARCHAR(90) COMMENT '来源应用代码',
    deleted           VARCHAR(1)  NOT NULL COMMENT '是否删除',
    create_user       VARCHAR(32) COMMENT '创建人',
    create_time       DATETIME COMMENT '创建时间',
    update_user       VARCHAR(32) COMMENT '修改人',
    update_time       DATETIME COMMENT '修改时间',
    PRIMARY KEY (ID)
) COMMENT = '审批任务类型';


