package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 启明审批操作类型
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/1
 */
public enum QmApproveTypeEnum implements ICodeEnum {
    /**
     * 审批流程处理
     */
    FLOW("01", "审批流程处理"),
    /**
     * 审批请求处理
     */
    REQUEST("02", "审批请求处理"),
    /**
     * 审批操作处理
     */
    OPERATE("03", "审批操作处理");

    private final String value;

    private final String label;

    QmApproveTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
