package com.dragonsoft.dcuc.approve.enumresources.bu;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 业务数据类型
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/7
 */
public enum BizDataTypeEnum implements ICodeEnum {

    /**
     * 承办人信息
     */
    HANDLE("01", "承办人信息"),
    /**
     * 要素信息
     */
    ELEMENT("02", "要素信息");

    public final String value;
    public final String label;

    BizDataTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
