package com.dragonsoft.dcuc.approve.enumresources.bu;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 任务状态
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/20
 */
public enum TaskStatusEnum implements ICodeEnum {

    /**
     * 启用
     */
    ENABLE("1", "启用"),
    /**
     * 废弃
     */
    DISABLE("0", "废弃");

    public final String value;
    public final String label;

    TaskStatusEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
