package com.dragonsoft.dcuc.approve.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 应用功能资源
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/21
 */
@ApiModel(description = "应用功能资源")
@Data
public class AppFunctionResourceReqVO {

    /**
     * 应用代码
     */
    @ApiModelProperty(value = "应用代码")
    private String appCode;

    /**
     * 功能代码
     */
    @ApiModelProperty(value = "功能代码")
    private List<String> functionCode;
}
