package com.dragonsoft.dcuc.approve.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/6/9
 */
@Data
public class ApproveTaskClassAddReqVO {

    /**
     * 任务类型代码
     */
    @NotBlank
    @ApiModelProperty(value = "任务类型代码")
    private String taskClassCode;
    /**
     * 任务类型名称
     */
    @NotBlank
    @ApiModelProperty(value = "任务类型名称")
    private String taskClassName;
    /**
     * 父任务类型ID
     */
    @ApiModelProperty(value = "父任务类型ID")
    private String parentId;

    /**
     * 来源应用代码
     */
    @ApiModelProperty(value = "来源应用代码")
    private String sourceAppCode;
}
