package com.dragonsoft.dcuc.approve.model.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
@Data
@ApiModel(description = "机构信息")
public class ApproveOrgInfoRespVO {
    /**
     * id
     */
    @ApiModelProperty(name = "id", notes = "")
    private String id;
    /**
     * 机构代码
     */
    @ApiModelProperty(name = "机构代码", notes = "")
    private String orgCode;
    /**
     * 机构名称
     */
    @ApiModelProperty(name = "机构名称", notes = "")
    private String orgName;
    /**
     * 上级机构ID
     */
    @ApiModelProperty(name = "上级机构ID", notes = "")
    private String upOrgId;
    /**
     * 上级机构代码
     */
    @ApiModelProperty(name = "上级机构代码", notes = "")
    private String upOrgCode;
    /**
     * 机构类型
     */
    @ApiModelProperty(name = "机构类型", notes = "")
    private String orgKind;
    /**
     * 行政区划
     */
    @ApiModelProperty(name = "行政区划", notes = "")
    private String areaCode;
    /**
     * 远程更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "远程更新时间", notes = "")
    private Date remoteUpdateTime;
    /**
     * 是否删除
     */
    @ApiModelProperty(name = "是否删除", notes = "")
    private String deleted;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date createTime;
    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "修改时间", notes = "")
    private Date updateTime;
}
