package com.dragonsoft.dcuc.approve.model.resp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/6/9
 */
@Data
public class ApproveTaskClassDetailRespVO {

    /**
     * 主键
     */
    @NotBlank
    @ApiModelProperty(value = "主键")
    private String id;

    /**
     * 任务类型代码
     */
    @NotBlank
    @ApiModelProperty(value = "任务类型代码")
    private String taskClassCode;
    /**
     * 任务类型名称
     */
    @NotBlank
    @ApiModelProperty(value = "任务类型名称")
    private String taskClassName;
    /**
     * 父任务类型ID
     */
    @ApiModelProperty(value = "父任务类型ID")
    private String parentId;

    /**
     * 来源应用代码
     */
    @ApiModelProperty(value = "来源应用代码")
    private String sourceAppCode;

    /**
     * 来源应用名称
     */
    @ApiModelProperty(value = "来源应用名称")
    private String sourceAppName;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private String updateUser;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
