package com.dragonsoft.dcuc.approve.model.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 * 流程管理日志表
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
@Data
public class FlowManageLogVo  implements Serializable {

    private static final long serialVersionUID = 5454155825318885342L;

    @ApiModelProperty(value = "主键ID")
    private String id;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "单位名称")
    private String orgName;

    @ApiModelProperty(value = "单位编码")
    private String orgCode;

    @ApiModelProperty(value = "流程编号")
    private String businessCode;

    @ApiModelProperty(value = "流程实例编号")
    private String processInstanceId;

    @ApiModelProperty(value = "审批单号")
    private String approveNo;

    @ApiModelProperty(value = "流程标题")
    private String title;

    @ApiModelProperty(value = "处理类型（详见DisposeTypeEnum枚举）")
    private String disposeType;

    @ApiModelProperty(value = "处理类型字符串")
    private String disposeTypeStr;

    @ApiModelProperty(value = "结果（详见ApproveResultEnum枚举）")
    private String result;

    @ApiModelProperty(value = "结果字符串")
    private String resultStr;

    @ApiModelProperty(value = "操作者ip")
    private String createIp;

    @ApiModelProperty(value = "失败原因")
    private String failMsg;

    @ApiModelProperty(value = "操作内容")
    private String operateContent;

    @ApiModelProperty(value = "操作人")
    private String createUser;

    @ApiModelProperty(value = "操作人姓名")
    private String createUserName;

    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

}
