package com.dragonsoft.dcuc.approve.model.resp;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * @author wangrs
 * @date 2021/02/23
 * 流程图状态包装类
 */
public class ProcessStatusVo implements Serializable {
    private static final long serialVersionUID = 396897261307268158L;

    @ApiModelProperty(value = "节点ID")
    private String nodeId;

    @ApiModelProperty(value = "节点名称")
    private String nodeName;

    @ApiModelProperty(value = "操作者总计")
    private int operatorSummary;

    @ApiModelProperty(value = "已办")
    private int finishOperatorSummary;

    @ApiModelProperty(value = "列表详情")
    private List<ProcessStatusDetailVo> taskVos;

    @ApiModelProperty(value = "排序字段")
    private int sort;

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public int getOperatorSummary() {
        return operatorSummary;
    }

    public void setOperatorSummary(int operatorSummary) {
        this.operatorSummary = operatorSummary;
    }

    public int getFinishOperatorSummary() {
        return finishOperatorSummary;
    }

    public void setFinishOperatorSummary(int finishOperatorSummary) {
        this.finishOperatorSummary = finishOperatorSummary;
    }

    public List<ProcessStatusDetailVo> getTaskVos() {
        return taskVos;
    }

    public void setTaskVos(List<ProcessStatusDetailVo> taskVos) {
        this.taskVos = taskVos;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }
}
