package com.dragonsoft.dcuc.approve.business;

import com.dragonsoft.duceap.base.entity.http.ResponseStatus;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/18
 */
public interface IRiskBusiness {

    /**
     * 申请人与审批人相同风险
     *
     * @param applyIdcard    申请人
     * @param operateIdcard  操作人
     * @param createUserName 名称
     * @return 是否无风险信息
     */
    ResponseStatus commitApproveRepetitionRisk(String applyIdcard, String operateIdcard, String createUserName);

    /**
     * 单人联系审批风险
     *
     * @param approveRecordId 审批单ID
     * @param operateIdcard   审批人
     * @param createUserName  审批人名称
     * @return 是否无风险信息
     */
    ResponseStatus singleApproveRisk(String approveRecordId, String operateIdcard, String createUserName);
}
