package com.dragonsoft.dcuc.approve.event.event;

import com.dragonsoft.dcuc.approve.model.RiskLog;
import org.springframework.context.ApplicationEvent;

/**
 * @author wangrs
 * @date 2021/01/22
 * @description 审批事件
 */
public class ApproveRiskLogEvent extends ApplicationEvent {
    private static final long serialVersionUID = -8659999512606210496L;

    private final RiskLog riskLog;

    public ApproveRiskLogEvent(RiskLog riskLog) {
        super(riskLog);
        this.riskLog = riskLog;
    }

    public RiskLog getRiskLog() {
        return riskLog;
    }
}
