package com.dragonsoft.dcuc.approve.event.event;

import com.dragonsoft.dcuc.approve.model.dto.QmOperateLogDTO;
import org.springframework.context.ApplicationEvent;

/**
 * @author wangrs
 * @date 2021/01/22
 * @description 审批事件
 */
public class AuditApproveOperateLogEvent extends ApplicationEvent {
    private static final long serialVersionUID = -8659999512606210496L;

    private final QmOperateLogDTO qmOperateLogDTO;

    public AuditApproveOperateLogEvent(QmOperateLogDTO qmOperateLogDTO) {
        super(qmOperateLogDTO);
        this.qmOperateLogDTO = qmOperateLogDTO;
    }

    public QmOperateLogDTO getQmOperateLogDTO() {
        return qmOperateLogDTO;
    }
}
