package com.dragonsoft.dcuc.approve.facade.api.v3;

import com.dragonsoft.dcuc.approve.business.external.IWorkFlowCallbackBusiness;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/1
 */
@Slf4j
@RestController
@RequestMapping("api/v3/work-flow-callback/")
public class ApiV3WorkFlowCallbackFacade implements IApiV3WorkFlowCallbackFacade {
    private IWorkFlowCallbackBusiness workFlowCallbackBusiness;

    @Autowired
    public void setWorkFlowCallbackBusiness(IWorkFlowCallbackBusiness workFlowCallbackBusiness) {
        this.workFlowCallbackBusiness = workFlowCallbackBusiness;
    }

    @Override
    public List<String> getCurrentOrgAndNextOrgLabelHandlers(Map<String, Object> param) {
        return workFlowCallbackBusiness.getCurrentOrgAndNextOrgLabelHandlers(param);
    }
}
