package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
@Data
@TableName("T_APPROVE_ORG_INFO")
public class ApproveOrgInfo {
    /**
     * id
     */
    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 机构代码
     */
    private String orgCode;
    /**
     * 机构名称
     */
    private String orgName;
    /**
     * 上级机构ID
     */
    private String upOrgId;
    /**
     * 上级机构代码
     */
    private String upOrgCode;
    /**
     * 机构类型
     */
    private String orgKind;
    /**
     * 行政区划
     */
    private String areaCode;
    /**
     * 远程更新时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date remoteUpdateTime;
    /**
     * 是否删除
     */
    @TableLogic
    private String deleted;
    /**
     * 创建时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;
}
