package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 安全策略预警信息用户关联
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
@Data
@TableName("T_APPROVE_SECURITY_WARNING_USER")
public class ApproveSecurityWarningUser {
    /**
     * id
     */
    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 预警ID
     */
    private String warningId;

    /**
     * 用户
     */
    private String user;
    /**
     * 风险创建时间
     */
    private Date riskCreateTime;
    /**
     * 创建时间
     */
    private Date createTime;
}
