package com.dragonsoft.dcuc.approve.model.resource;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;

import java.util.Date;

/**
 * <p>
 * 警情信息
 * 现场通过ETL同步到此
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/1
 */
@Data
@TableName("t_jq_info")
public class JqInfo {
    /**
     * 标识ID
     */
    @TableId(type = IdType.UUID)
    private String fhxtsjwybsid;
    /**
     * 接警单_信息编号
     */
    private String jijdXxbh;
    /**
     * 接警单位_公安机关机构代码
     */
    private String jjdwGajgjgdm;
    /**
     * 受理单_信息编号
     */
    private String sldXxbh;
    /**
     * 接警_状态_信息代码
     */
    private String jjnZtaXxdm02;
    /**
     * 是否删除
     */
    @TableLogic
    private String xxscPdbz;
    /**
     * 采集时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date cjsj;
    /**
     * 更新时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date gxsj;
    /**
     * 同步表创建时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;
    /**
     * 同步表更新时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;
}
