package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.ApproveActRunIdentityLink;

import java.util.List;

/**
 * @author wangrs
 * @date 2021/03/23
 */
public interface IApproveActRunIdentityLinkService {
    /**
     * 根据任务ID查找
     *
     * @param taskId 任务ID
     * @return 待办人员
     */
    List<ApproveActRunIdentityLink> findByTaskId(String taskId);

    /**
     * 保存
     *
     * @param approveActRunIdentityLink 待办人员关联
     */
    void save(ApproveActRunIdentityLink approveActRunIdentityLink);
}
