package com.dragonsoft.dcuc.approve.service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
public interface IApproveSecurityWarningUserService {

    /**
     * 保存预警信息与用户关联
     *
     * @param warningId      预警信息ID
     * @param riskCreateTime 风险发送时间
     * @param userList       用户列表
     */
    void saveAllWarningUser(String warningId, Date riskCreateTime, List<String> userList);

    /**
     * 根据用户查询所有的预警信息集合
     *
     * @param user 用户
     * @return 预警信息列表
     */
    List<String> finWarningIdListByUser(String user);
}
