package com.dragonsoft.dcuc.approve.service.resource.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dragonsoft.dcuc.approve.mapper.resource.AjInfoMapper;
import com.dragonsoft.dcuc.approve.model.resource.AjInfo;
import com.dragonsoft.dcuc.approve.service.resource.IAjInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * <p>
 *
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/1
 */
@Component
public class AjInfoServiceImpl implements IAjInfoService {

    private AjInfoMapper ajInfoMapper;

    @Autowired
    public void setAjInfoMapper(AjInfoMapper ajInfoMapper) {
        this.ajInfoMapper = ajInfoMapper;
    }

    @Override
    public boolean exitsAjbh(String ajbh) {
        LambdaQueryWrapper<AjInfo> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(AjInfo::getAjbh, ajbh);

        Integer count = ajInfoMapper.selectCount(queryWrapper);
        if (ObjectUtil.isNull(count)) {
            return false;
        }
        return count > 0;
    }
}
